This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 506025 - Crash when resizing a table column
Crash when resizing a table column
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-15 06:29 EDT by Tim Jackson
Modified: 2009-06-16 07:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-16 06:33:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Crash log (9.44 KB, text/plain)
2009-06-15 06:29 EDT, Tim Jackson
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 102478 None None None Never

  None (edit)
Description Tim Jackson 2009-06-15 06:29:37 EDT
Created attachment 347910 [details]
Crash log

Description of problem:
Crash in Writer when resizing a table column in a simple table (no merged cells).

Possibly related is that shortly before the crash I had changed the font size of the standard "Table contents" style, which caused substantial reformatting of the (long) document. I was then just making minor adjustments to the width of a couple of columns before OO froze then crashed.

Unfortunately cannot distribute the source document, although I can't reproduce it in any case.

Version-Release number of selected component (if applicable):
openoffice.org-writer-3.0.1-15.4.fc10.i386
Comment 1 Caolan McNamara 2009-06-15 06:42:54 EDT
Dunno if there's much we can do if we can't reproduce it, especially in a writer layout area. Lets see if mapping the stack gives and easy-fixes...
Comment 2 Caolan McNamara 2009-06-15 07:18:07 EDT
# 0x8a1400: 0x0: + 0x400 (__kernel_sigreturn + 0x0)
/usr/lib/openoffice.org3/program/../basis-link/program/libswli.so : 0x7458F5
    SfxStubSwViewExecTabWin(SfxShell*, SfxRequest&)
    ../../../unxlngi6.pro/inc/swslots.hxx:11254
/usr/lib/openoffice.org3/program/../basis-link/program/libsfxli.so : 0x1B642D
    SfxDispatcher::Call_Impl(SfxShell&, SfxSlot const&, SfxRequest&, unsigned char)
    /usr/src/debug/OOO300_m15/sfx2/source/control/dispatch.cxx:309

optimized into uselessness unfortunately
Comment 3 Caolan McNamara 2009-06-15 09:02:54 EDT
Running OOo under valgrind and moving the columns of some simple tables around doesn't show anything either.
Comment 4 Caolan McNamara 2009-06-16 06:33:00 EDT
Can't do anything about it without a reproducer as the backtrace is in overly-optimized code to get true backtrace from.
Comment 5 Tim Jackson 2009-06-16 07:40:41 EDT
Thanks for trying Caolan. Was hoping that the backtrace might reveal the bug but obviously not - I'll let you know if I manage to reproduce it.
Comment 6 Caolan McNamara 2009-06-16 07:49:39 EDT
Normally it has a good chance. I sort of suspect it might be some particular table configuration.

Note You need to log in before you can comment on or make changes to this bug.